commit:     99313c08b6fcc12a71c2d96b460aedba3eab0411
Author:     Zoltan Puskas <zoltan <AT> sinustrom <DOT> info>
AuthorDate: Mon May  5 07:23:50 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon May  5 07:44:19 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99313c08

net-mail/getmail: add 6.19.07

Closes: https://bugs.gentoo.org/952603
Signed-off-by: Zoltan Puskas <zoltan <AT> sinustrom.info>
Part-of: https://github.com/gentoo/gentoo/pull/41938
Closes: https://github.com/gentoo/gentoo/pull/41938
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-mail/getmail/Manifest               |  1 +
 net-mail/getmail/getmail-6.19.07.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/net-mail/getmail/Manifest b/net-mail/getmail/Manifest
index e696d9ee0727..a98e70831d40 100644
--- a/net-mail/getmail/Manifest
+++ b/net-mail/getmail/Manifest
@@ -1 +1,2 @@
 DIST getmail-6.18.13.gh.tar.gz 213033 BLAKE2B 
6dd18670e7c2b231859317dfa28c3ebe0fcff747af4fed1554725ce30176fca678633128db5d80791b97bad9322a5522c70ec828338659ea8df3a5efcf7db35e
 SHA512 
437c057d6e3d499a2e11be82d4e69aafc24d74d42fb1fa51de06fccd33d6e9e1ef7bba20ae5fc070a80dd656f184386083d462f65b05dafcf516d7dc0b2138a0
+DIST getmail-6.19.07.gh.tar.gz 217481 BLAKE2B 
ba0d164389bd32e8d7bff18003606369cd4369b967933335837ab0bff2e53d18a7bcb16b2c36c90d9b01f29ea2594b9a45de7270698bc8caeb863873bdb66868
 SHA512 
34153ac53cbb9698108eef70957d374d7c02fc5ffd72ba940461ad40bbc582f7992bf7c8060ac33128d01447728bb820536a32f1a3bd97a3ecbb523fb9a974bf

diff --git a/net-mail/getmail/getmail-6.19.07.ebuild 
b/net-mail/getmail/getmail-6.19.07.ebuild
new file mode 100644
index 000000000000..cac35d298af2
--- /dev/null
+++ b/net-mail/getmail/getmail-6.19.07.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..13} )
+PYTHON_REQ_USE="ssl"
+inherit distutils-r1
+
+DESCRIPTION="A mail retriever with reliable Maildir and mbox delivery"
+HOMEPAGE="https://www.getmail6.org/ https://github.com/getmail6/getmail6";
+SRC_URI="https://github.com/getmail6/getmail6/archive/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+S="${WORKDIR}/getmail6-${PV}"
+
+# getmail is under GPLv2
+# getmail-gmail-xoauth-tokens is under Apache 2.0
+LICENSE="GPL-2 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_prepare_all() {
+       # Use gentoo version number (including revision) for doc dir and remove 
COPYING file
+       sed -i -e "s,'getmail-%s' % __version__,'${PF}'," \
+               -e "/docs\/COPYING/d" "${S}"/setup.py || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to